Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractorAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractorAuxiliary.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractorAuxiliary.cs	(revision 51)
@@ -0,0 +1,1161 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Text;
+using System.Windows.Forms;
+using System.Collections;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+
+namespace ProcessManagement.Forms.Master
+{
+    public partial class FrmSubContractor
+    {
+        #region 協力会社施工工種データ削除
+        /// <summary>
+        /// 協力会社施工工種データ削除
+        /// </summary>
+        /// <param name="jobitemDB"></param>
+        /// <returns></returns>
+        private bool SubontractorItemMasterDataDelete(IOMSubContractorJobItem jobitemDB)
+        {
+            try
+            {
+                string strDel = jobitemDB.CreatePrimarykeyString(CommonMotions.cnvInt(m_dispControl[(int)Dispcount.CompanyCode].Text));
+                jobitemDB.DeleteAction(strDel, false);
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力会社施工職種データ削除
+        /// <summary>
+        /// 協力会社施工職種データ削除
+        /// </summary>
+        /// <param name="jobLinkDB"></param>
+        /// <returns></returns>
+        private bool SubontractorJobLinkDataDelete(IOMSubContractorJobLink jobLinkDB)
+        {
+            try
+            {
+                string strDel = jobLinkDB.CreatePrimarykeyString(CommonMotions.cnvInt(m_dispControl[(int)Dispcount.CompanyCode].Text));
+                jobLinkDB.DeleteAction(strDel, false);
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 行選択時処理
+        /// <summary>
+        /// 行選択時処理
+        /// </summary>
+        private void DataSelectRow()
+        {
+            if (m_bChengeAns)
+            {
+                if (MessageBox.Show("データに変更があります、登録内容を破棄してよろしいですか？。", "終了確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                {
+                    return;
+                }
+            }
+            if (dgvMaster.Rows.Count < 1) return;
+            if (dgvMaster.CurrentRow.Index < 0) return;
+
+            // 空白行は処理しない
+            if (CommonMotions.chkObjectIsNull(dgvMaster.CurrentRow.Cells[(int)DispListColumn.CompanyName].Value) ||
+                CommonMotions.cnvString(dgvMaster.CurrentRow.Cells[(int)DispListColumn.CompanyName].Value).Length == 0)
+            {
+                // クリア
+                ClearDisplay();
+                // フィールドロック解除
+                ControlLock(false);
+                return;
+            }
+
+            m_CompanyCode = CommonMotions.cnvInt(dgvMaster.CurrentRow.Cells[(int)DispListColumn.CompanyCode].Value);
+
+            // クリア
+            ClearDisplay(true);
+
+            // フィールドロック解除
+            ControlLock();
+
+            // 更新データ取得
+            DispMentenanceData();
+
+            // モード表示
+            if (m_EditLock)
+                m_dispControl[(int)Dispcount.EditMode].Text = CommonDefine.EditModeStringRef;
+            else
+                m_dispControl[(int)Dispcount.EditMode].Text = CommonDefine.EditModeStringEdit;
+
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
+            // フォーカスセット
+            m_dispControl[(int)Dispcount.CompanyName].Focus();
+        }
+        #endregion
+
+        #region 工種選択コンボボックスよりSQLを作成する
+        /// <summary>
+        /// 工種選択コンボボックスよりSQLを作成する
+        /// </summary>
+        /// <returns></returns>
+        private string GetSqlFromCmbItemType()
+        {
+            try
+            {
+                int Value = CommonMotions.cnvInt(cmbItemType.SelectedValue);
+                if (Value < 1) return string.Empty;
+
+                return string.Format("CompanyCode In (Select A1.CompanyCode From SubContractorJobItem A1 Where A1.ItemCode = {0})",
+                                CommonMotions.cnvInt(cmbItemType.SelectedValue));
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return string.Empty;
+            }
+        }
+        #endregion
+
+        #region 50音順コンボボックスよりSQLを作成する
+        /// <summary>
+        ///  50音順コンボボックスよりSQLを作成する
+        /// </summary>
+        /// <returns></returns>
+        private string GetSqlFromcmbJapaneseSyllabary()
+        {
+            try
+            {
+                string Value = CommonMotions.cnvString(cmbJapaneseSyllabary.SelectedValue);
+                if (Value.Length == 0) return string.Empty;
+
+                return string.Format("JapaneseSyllabary = '{0}'", cmbJapaneseSyllabary.SelectedValue);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return string.Empty;
+            }
+        }
+        #endregion
+
+        #region 支払区分コンボボックスよりSQLを作成する
+        /// <summary>
+        ///  支払区分コンボボックスよりSQLを作成する
+        /// </summary>
+        /// <returns></returns>
+        private string GetSqlFromcmbLabour()
+        {
+            try
+            {
+                int Value = CommonMotions.cnvInt(cmbLabour.SelectedValue);
+                if (Value < 0) return string.Empty;
+
+                return string.Format("labourKind = {0}", CommonMotions.cnvInt(cmbLabour.SelectedValue));
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return string.Empty;
+            }
+        }
+        #endregion
+
+        #region 登録月の最大値担当者コードを取得する
+        /// <summary>
+        /// 登録月の最大値担当者コードを取得する
+        /// </summary>
+        /// <returns></returns>
+        private int GetMaxConpanyCode(string strDate)
+        {
+            int iRet = 0;
+            IOMSubContractor sbDB = new IOMSubContractor();
+            try
+            {
+                // データ更新
+                string strWhere = "";
+                if (strDate.Length != 0)
+                {
+                    //strWhere = string.Format(" Where TO_CHAR(StartDate,'YYYY/MM') = '{0}'", strDate);
+                    strWhere = string.Format(" Where DATE_FORMAT(StartDate,'%Y/%m') = '{0}'", strDate);
+                }
+                iRet = sbDB.SelectMaxCompanyCodeCount(strWhere);
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return iRet;
+            }
+            finally
+            {
+                sbDB.close(); sbDB = null;
+            }
+            return iRet;
+        }
+        #endregion
+
+        #region 法人格コンボボックスセット
+        /// <summary>
+        /// 法人格コンボボックスセット
+        /// </summary>
+        private void InitcmbCorporateStatusCombBox()
+        {
+            IOMBusinessType btDB = new IOMBusinessType();
+            try
+            {
+                List<BusinessTypeMaster> btList = new List<BusinessTypeMaster>();
+                if (!btDB.SelectAction(" ORDER BY DISPLAYORDER", ref btList)) return;
+                if (btList.Count == 0) return;
+
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                // データ表示
+                for (int i = 0; i < btList.Count; i++)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(btList[i].DisplayOrder, btList[i].BusinessTypeName);
+
+                    DataList.Add(keyval);
+                }
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbCorporateStatus, DataList);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                btDB.close();
+                btDB = null;
+            }
+        }
+        #endregion
+
+        #region 施工工種を選択する画面を表示する
+        /// <summary>
+        /// 施工工種を選択する画面を表示する
+        /// </summary>
+        private void JobItemSelectFormDisplay()
+        {
+            FrmSubContractorItem frm = new FrmSubContractorItem();
+            try
+            {
+                frm.DialogUsed = true;
+
+                //frm.ShowInTaskbar = false;
+                frm.ShowDialog();
+                if (frm.EndButton) return;
+
+                List<KeyValuePair<int, string>> selectList = frm.SelectData;
+                int icurcnt = dgvJobItem.CurrentRow.Index;
+
+                // 追加行が表示行より多い場合は行を追加する
+                int iAddLine = dgvJobItem.Rows.Count - icurcnt;
+                if (selectList.Count >= iAddLine)
+                    dgvJobItem.RowCount += ((selectList.Count - iAddLine) + 1);
+
+                for (int i = 0; i < selectList.Count; i++)
+                {
+                    dgvJobItem.Rows[icurcnt + i].Cells[0].Value = selectList[i].Key;
+                    dgvJobItem.Rows[icurcnt + i].Cells[1].Value = selectList[i].Value;
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose();
+                frm = null;
+            }
+
+        }
+        #endregion
+
+        #region 施工職種を選択する画面を表示する
+        /// <summary>
+        /// 施工職種を選択する画面を表示する
+        /// </summary>
+        private void JobLinkSelectFormDisplay()
+        {
+            FrmSubContractorJobCategory frm = new FrmSubContractorJobCategory();
+            try
+            {
+                frm.DialogUsed = true;
+
+                //frm.ShowInTaskbar = false;
+                frm.ShowDialog();
+                if (frm.EndButton) return;
+
+                List<KeyValuePair<int, string>> selectList = frm.SelectData;
+                int icurcnt = dgvJobLink.CurrentRow.Index;
+
+                // 追加行が表示行より多い場合は行を追加する
+                int iAddLine = dgvJobLink.Rows.Count - icurcnt;
+                if (selectList.Count >= iAddLine)
+                    dgvJobLink.RowCount += ((selectList.Count - iAddLine) + 1);
+
+                for (int i = 0; i < selectList.Count; i++)
+                {
+                    dgvJobLink.Rows[icurcnt + i].Cells[0].Value = selectList[i].Key;
+                    dgvJobLink.Rows[icurcnt + i].Cells[1].Value = selectList[i].Value;
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 表示オブジェクトの取得
+        /// <summary>
+        /// 表示オブジェクトの取得
+        /// </summary>
+        private void SetDisplayObject()
+        {
+            int DspCtrlCnt = Enum.GetNames(typeof(Dispcount)).Length;
+            m_dispControl = new Control[DspCtrlCnt];
+
+            m_dispControl[(int)Dispcount.CompanyCode] = lblCompanyCode;
+            m_dispControl[(int)Dispcount.CorporateStatusName] = cmbCorporateStatus;
+            m_dispControl[(int)Dispcount.CompanyName] = txtInput1;
+            m_dispControl[(int)Dispcount.CEOPositionName] = txtInput2;
+            m_dispControl[(int)Dispcount.CEOName] = txtInput3;
+            m_dispControl[(int)Dispcount.ContactPersonName] = txtInput4;
+            m_dispControl[(int)Dispcount.ZipCode] = txtInput5;
+            m_dispControl[(int)Dispcount.Address1] = txtInput6;
+            m_dispControl[(int)Dispcount.Address2] = txtInput7;
+            m_dispControl[(int)Dispcount.Address3] = txtInput11;
+            m_dispControl[(int)Dispcount.CellPhoneNumber] = txtInput12;
+            m_dispControl[(int)Dispcount.MailAddress] = txtInput15;
+            m_dispControl[(int)Dispcount.PhoneNumber] = txtInput8;
+            m_dispControl[(int)Dispcount.JapaneseSyllabary] = txtInput13;
+            m_dispControl[(int)Dispcount.FaxNumber] = txtInput9;
+            m_dispControl[(int)Dispcount.StartDate] = txtInput14;
+            m_dispControl[(int)Dispcount.Note] = txtInput10;
+            m_dispControl[(int)Dispcount.EditMode] = lblEditMode;
+            m_dispControl[(int)Dispcount.btnSerchZip] = btnSerchZip;
+            m_dispControl[(int)Dispcount.PointNone] = rdbPoint1;
+            m_dispControl[(int)Dispcount.PointFront] = rdbPoint2;
+            m_dispControl[(int)Dispcount.PointRear] = rdbPoint3;
+            m_dispControl[(int)Dispcount.GridJobItem] = dgvJobItem;
+            m_dispControl[(int)Dispcount.btnJobItemAdd] = btnJobItemAdd;
+            m_dispControl[(int)Dispcount.btnJobItemDelte] = btnJobItemDelete;
+            m_dispControl[(int)Dispcount.PaymentNormal] = rdbPayment01;
+            m_dispControl[(int)Dispcount.PaymentLabour] = rdbPayment02;
+        }
+        #endregion
+
+        #region データ取得
+        /// <summary>
+        /// データ取得
+        /// </summary>
+        private void DispMentenanceData()
+        {
+            // 協力会社マスタクラス
+            IOMSubContractor sbDB = new IOMSubContractor();
+            // 協力会社工種関連マスタクラス
+            IOMSubContractorJobItem jobItemDB = new IOMSubContractorJobItem();
+            // 協力会社工種マスタクラス
+            IOMSubContractorItem itemDB = new IOMSubContractorItem();
+            // 協力会社職種関連マスタクラス
+            IOMSubContractorJobLink jobLinkDB = new IOMSubContractorJobLink();
+            // 協力会社職種マスタクラス
+            IOMSubContractorJobCategory jobCateDB = new IOMSubContractorJobCategory();
+            try
+            {
+                // 画面クリア
+                ClearDisplay(true);
+
+                // 新規時は表示しない
+                if (m_CompanyCode == 0) return;
+
+                // 協力会社マスタ取得クラス領域
+                SubContractorMaster wrklist = new SubContractorMaster();
+                // 協力会社マスタ取得
+                string strSQL = sbDB.CreatePrimarykeyString(m_CompanyCode);
+                if (!sbDB.SelectAction(strSQL, ref wrklist))
+                {
+                    dgvJobItem.RowCount = 4;
+                    dgvJobLink.RowCount = 4;
+                    return;
+                }
+
+                // データ表示
+                m_dispControl[(int)Dispcount.CompanyCode].Text = wrklist.CompanyCode.ToString();         // 会社コード
+                m_dispControl[(int)Dispcount.CorporateStatusName].Text = wrklist.CorporateStatusName.ToString(); // 法人格名称
+                if (wrklist.CorporateStatusPoint == (int)CommonDefine.StatusNamePoint.None) rdbPoint1.Checked = true;   // 法人格名称表示位置
+                else if (wrklist.CorporateStatusPoint == (int)CommonDefine.StatusNamePoint.Forword) rdbPoint2.Checked = true;
+                else if (wrklist.CorporateStatusPoint == (int)CommonDefine.StatusNamePoint.Back) rdbPoint3.Checked = true;
+
+                m_dispControl[(int)Dispcount.CompanyName].Text = wrklist.CompanyName;                           // 会社名１
+                m_dispControl[(int)Dispcount.CEOPositionName].Text = wrklist.CEOPositionName;                   // 役職名
+                m_dispControl[(int)Dispcount.CEOName].Text = wrklist.CEOName;                                   // 代表者氏名
+                m_dispControl[(int)Dispcount.ContactPersonName].Text = wrklist.ContactPersonName;               // 窓口担当者
+                m_dispControl[(int)Dispcount.ZipCode].Text = wrklist.ZipCode;                                   // 郵便番号
+                m_dispControl[(int)Dispcount.Address1].Text = wrklist.Address1;                                 // 住所１
+                m_dispControl[(int)Dispcount.Address2].Text = wrklist.Address2;                                 // 住所２
+                m_dispControl[(int)Dispcount.Address3].Text = wrklist.Address3;                                 // 住所３
+                m_dispControl[(int)Dispcount.CellPhoneNumber].Text = wrklist.CellPhoneNumber;                   // 携帯電話番号
+                m_dispControl[(int)Dispcount.MailAddress].Text = wrklist.MailAddress;                           // メールアドレス
+                m_dispControl[(int)Dispcount.PhoneNumber].Text = wrklist.PhoneNumber;                           // 電話番号
+                m_dispControl[(int)Dispcount.FaxNumber].Text = wrklist.FaxNumber;                               // FAX番号
+                m_dispControl[(int)Dispcount.JapaneseSyllabary].Text = wrklist.JapaneseSyllabary;               // 50音読み
+                m_dispControl[(int)Dispcount.StartDate].Text = CommonMotions.cnvDateToUndecidedString(wrklist.StartDate);   // 見積提出日
+                m_dispControl[(int)Dispcount.Note].Text = wrklist.Note.ToString();                              // 備考
+
+                if (wrklist.labourKind == (int)CommonDefine.SubContractorPaymentKind.Normal)                    // 業者支払区分（通常・手間）
+                    rdbPayment01.Checked = true;
+                else if (wrklist.labourKind == (int)CommonDefine.SubContractorPaymentKind.Labor)
+                    rdbPayment02.Checked = true;
+
+                // ----- 協力会社工種データ表示
+                string ItemSQL = jobItemDB.CreatePrimarykeyString(m_CompanyCode) + "Order By DisplayOrder";
+                List<SubContractorJobItem> JobItemList = new List<SubContractorJobItem>();
+                if (jobItemDB.SelectAction(ItemSQL, ref JobItemList))
+                {
+                    foreach (SubContractorJobItem wrkRec in JobItemList)
+                    {
+                        string strCode = itemDB.CreatePrimarykeyString(wrkRec.ItemCode);
+                        List<SubContractorItemMaster> NameList = new List<SubContractorItemMaster>();
+                        itemDB.SelectAction(strCode, ref NameList);
+                        foreach (SubContractorItemMaster wrkNameRec in NameList)
+                        {
+                            dgvJobItem.Rows.Add(wrkRec.ItemCode, wrkNameRec.ItemName);
+                        }
+                    }
+                }
+                if (dgvJobItem.RowCount < 4) dgvJobItem.RowCount += (4 - dgvJobItem.RowCount);
+
+                // ----- 協力会社職種データ表示
+                string jobSQL = jobItemDB.CreatePrimarykeyString(m_CompanyCode) + "Order By DisplayOrder";
+                List<SubContractorJobLink> jobLinkList = new List<SubContractorJobLink>();
+                if (jobLinkDB.SelectAction(jobSQL, ref jobLinkList))
+                {
+                    foreach (SubContractorJobLink wrkRec in jobLinkList)
+                    {
+                        string strCode = jobCateDB.CreatePrimarykeyString(wrkRec.JobCategoryCode);
+                        List<SubContractorJobCategory> NameList = new List<SubContractorJobCategory>();
+                        jobCateDB.SelectAction(strCode, ref NameList);
+                        foreach (SubContractorJobCategory wrkNameRec in NameList)
+                        {
+                            dgvJobLink.Rows.Add(wrkRec.JobCategoryCode, wrkNameRec.JobCategoryName);
+                        }
+                    }
+                }
+                if (dgvJobLink.RowCount < 4) dgvJobLink.RowCount += (4 - dgvJobLink.RowCount);
+
+                m_bChengeAns = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                sbDB.close(); sbDB = null;
+                jobItemDB.close(); jobItemDB = null;
+                itemDB.close(); itemDB = null;
+                jobLinkDB.close(); jobLinkDB = null;
+                jobCateDB.close(); jobCateDB = null;
+            }
+        }
+        #endregion
+
+        #region 画面ロック
+        /// <summary>
+        /// 画面ロック
+        /// </summary>
+        private void ControlLock(bool bctrl = true)
+        {
+            foreach (Control wrk in m_dispControl)
+            {
+                if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                if (wrk.GetType().Equals(typeof(Label)))
+                {
+                    continue;
+                }
+                else if (wrk.GetType().Equals(typeof(TextBox)))
+                {
+                    ((TextBox)wrk).ReadOnly = !bctrl;
+                }
+                else
+                {
+                    wrk.Enabled = bctrl;
+                }
+            }
+        }
+        #endregion
+
+        #region 画面クリア
+        /// <summary>
+        /// 画面クリア
+        /// </summary>
+        private void ClearDisplay(bool EdiDataDisp = false)
+        {
+            foreach (Control wrk in m_dispControl)
+            {
+                if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                if (wrk.GetType().Equals(typeof(RadioButton))) continue;
+                if (wrk.GetType().Equals(typeof(Button))) continue;
+                if (wrk.GetType().Equals(typeof(DataGridViewEX))) continue;
+
+                wrk.Text = "";
+            }
+
+            dgvJobItem.Rows.Clear();
+            dgvJobLink.Rows.Clear();
+
+            // 新規時は会社コードを表示しない
+            if (m_CompanyCode == 0)
+            {
+                lblCompanyCode.Visible = false;
+                lblCompanyCodelabel.Visible = false;
+            }
+            else
+            {
+                lblCompanyCode.Visible = true;
+                lblCompanyCodelabel.Visible = true;
+            }
+            // データ修正時はクリアしない
+            if (EdiDataDisp) return;
+
+            cmbItemType.SelectedIndex = -1;
+            cmbJapaneseSyllabary.SelectedIndex = -1;
+            cmbLabour.SelectedIndex = -1;
+            cmbCorporateStatus.SelectedIndex = -1;
+
+            m_bChengeAns = false;
+        }
+        #endregion
+
+        #region 画面項目のチェック
+        /// <summary>
+        /// 画面項目のチェック
+        /// </summary>
+        /// <returns></returns>
+        private bool DispFeildCheck()
+        {
+            bool bRet = true;
+            int iLength = 0;
+            try
+            {
+                // 会社名１
+                if (m_dispControl[(int)Dispcount.CompanyName].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.CompanyName], s_CompanyNameLength, true);
+
+                // 代表者役職名
+                if (m_dispControl[(int)Dispcount.CEOPositionName].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.CEOPositionName], s_CEOPositionNameLength);
+
+                // 代表者氏名
+                if (m_dispControl[(int)Dispcount.CEOName].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.CEOName], s_CEONameLength);
+
+                // 窓口担当者氏名
+                if (m_dispControl[(int)Dispcount.ContactPersonName].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.ContactPersonName], s_CEONameLength);
+
+                // 住所１
+                if (m_dispControl[(int)Dispcount.Address1].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.Address1], s_AddressLength, true);
+
+                // 住所２
+                if (m_dispControl[(int)Dispcount.Address2].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.Address2], s_AddressLength);
+
+                // 住所３
+                if (m_dispControl[(int)Dispcount.Address3].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.Address3], s_AddressLength);
+
+                // 郵便番号
+                if (m_dispControl[(int)Dispcount.ZipCode].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldZipCodeCheck(m_dispControl[(int)Dispcount.ZipCode], true);
+
+                // 携帯電話番号
+                if (m_dispControl[(int)Dispcount.CellPhoneNumber].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)Dispcount.CellPhoneNumber], false);
+
+                // メールアドレス
+                if (m_dispControl[(int)Dispcount.MailAddress].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldMailAddressCheck(m_dispControl[(int)Dispcount.MailAddress], false);
+
+                // 電話番号
+                if (m_dispControl[(int)Dispcount.PhoneNumber].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)Dispcount.PhoneNumber], true);
+
+                // FAX番号
+                if (m_dispControl[(int)Dispcount.FaxNumber].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)Dispcount.FaxNumber]);
+
+                // 50音読み
+                if (m_dispControl[(int)Dispcount.JapaneseSyllabary].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.JapaneseSyllabary], s_JapaneseSyllabaryLength);
+
+                // 取引開始年月
+                if (m_dispControl[(int)Dispcount.StartDate].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldDateCheck(m_dispControl[(int)Dispcount.StartDate], false);
+
+                // 備考
+                if (m_dispControl[(int)Dispcount.Note].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.Note], s_NoteLength);
+
+                if (iLength == 0)
+                {
+                    MessageBox.Show("データが入力されていません、確認してください。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Warning);
+                    return false;
+                }
+                if (!bRet)
+                {
+                    MessageBox.Show("入力エラーがあります、確認してください。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Warning);
+                    return false;
+                }
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力会社マスタ登録
+        /// <summary>
+        /// 協力会社マスタ登録
+        /// </summary>
+        private bool SubontractorMasterDataEntry()
+        {
+            IOMSubContractor sbDB = new IOMSubContractor();
+            IOMSubContractorJobItem jobitemDB = new IOMSubContractorJobItem();
+            IOMSubContractorJobLink joblinkDB = new IOMSubContractorJobLink();
+            try
+            {
+                // 一括処理なので接続を行う
+                sbDB.connect(); sbDB.beginTran();
+                jobitemDB.connect(); jobitemDB.beginTran();
+                joblinkDB.connect(); joblinkDB.beginTran();
+
+                // 表示順を更新する
+                foreach (DataGridViewRow wrkRow in dgvMaster.Rows)
+                {
+                    // 構成コード無は処理しない
+                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispListColumn.CompanyCode].Value)) continue;
+
+                    // 表示順変更
+                    int CompanyCode = CommonMotions.cnvInt(wrkRow.Cells[(int)DispListColumn.CompanyCode].Value);
+                    int DisplayOrder = CommonMotions.cnvInt(wrkRow.Cells[(int)DispListColumn.No].Value);
+                    // データ更新
+                    sbDB.UpdateFeild(CompanyCode, (int)IOMSubContractor.TableColumn.DisplayOrder, DisplayOrder, false);
+                }
+
+
+                SubContractorMaster work = new SubContractorMaster();
+                List<SubContractorMaster> workList = new List<SubContractorMaster>();
+
+                // 会社コード
+                work.CompanyCode = CommonMotions.cnvInt(m_dispControl[(int)Dispcount.CompanyCode].Text);
+
+                // 法人格名称位置
+                if (rdbPoint1.Checked == true) work.CorporateStatusPoint = (int)CommonDefine.StatusNamePoint.None;
+                else if (rdbPoint2.Checked == true) work.CorporateStatusPoint = (int)CommonDefine.StatusNamePoint.Forword;
+                else if (rdbPoint3.Checked == true) work.CorporateStatusPoint = (int)CommonDefine.StatusNamePoint.Back;
+
+                // 法人格名称
+                if (work.CorporateStatusPoint != 0)
+                    if (m_dispControl[(int)Dispcount.CorporateStatusName].Text.Length != 0)
+                        work.CorporateStatusName = m_dispControl[(int)Dispcount.CorporateStatusName].Text;
+
+                // 会社名
+                if (m_dispControl[(int)Dispcount.CompanyName].Text.Length != 0)
+                    work.CompanyName = m_dispControl[(int)Dispcount.CompanyName].Text;
+
+                // 役職名
+                if (m_dispControl[(int)Dispcount.CEOPositionName].Text.Length != 0)
+                    work.CEOPositionName = m_dispControl[(int)Dispcount.CEOPositionName].Text;
+
+                // 代表者名
+                if (m_dispControl[(int)Dispcount.CEOName].Text.Length != 0)
+                    work.CEOName = m_dispControl[(int)Dispcount.CEOName].Text;
+
+                // 窓口担当者名
+                if (m_dispControl[(int)Dispcount.ContactPersonName].Text.Length != 0)
+                    work.ContactPersonName = m_dispControl[(int)Dispcount.ContactPersonName].Text;
+
+                // 郵便番号
+                if (m_dispControl[(int)Dispcount.ZipCode].Text.Length != 0)
+                    work.ZipCode = m_dispControl[(int)Dispcount.ZipCode].Text;
+
+                // 住所１
+                if (m_dispControl[(int)Dispcount.Address1].Text.Length != 0)
+                    work.Address1 = m_dispControl[(int)Dispcount.Address1].Text;
+
+                // 住所２
+                if (m_dispControl[(int)Dispcount.Address2].Text.Length != 0)
+                    work.Address2 = m_dispControl[(int)Dispcount.Address2].Text;
+
+                // 住所３
+                if (m_dispControl[(int)Dispcount.Address3].Text.Length != 0)
+                    work.Address3 = m_dispControl[(int)Dispcount.Address3].Text;
+
+                // 携帯電話番号
+                if (m_dispControl[(int)Dispcount.CellPhoneNumber].Text.Length != 0)
+                    work.CellPhoneNumber = m_dispControl[(int)Dispcount.CellPhoneNumber].Text;
+
+                // メールアドレス
+                if (m_dispControl[(int)Dispcount.MailAddress].Text.Length != 0)
+                    work.MailAddress = m_dispControl[(int)Dispcount.MailAddress].Text;
+
+                // 電話番号
+                if (m_dispControl[(int)Dispcount.PhoneNumber].Text.Length != 0)
+                    work.PhoneNumber = m_dispControl[(int)Dispcount.PhoneNumber].Text;
+
+                // FAX番号
+                if (m_dispControl[(int)Dispcount.FaxNumber].Text.Length != 0)
+                    work.FaxNumber = m_dispControl[(int)Dispcount.FaxNumber].Text;
+
+                // 50音読み
+                if (m_dispControl[(int)Dispcount.JapaneseSyllabary].Text.Length != 0)
+                    work.JapaneseSyllabary = m_dispControl[(int)Dispcount.JapaneseSyllabary].Text;
+
+                // 登録日
+                if (m_dispControl[(int)Dispcount.StartDate].Text.Length != 0)
+                    work.StartDate = CommonMotions.cnvUndecidedStringToDate(m_dispControl[(int)Dispcount.StartDate].Text);
+
+                // 備考
+                if (m_dispControl[(int)Dispcount.Note].Text.Length != 0)
+                    work.Note = m_dispControl[(int)Dispcount.Note].Text;
+
+                // 支払業者区分
+                if (rdbPayment01.Checked == true) work.labourKind = (int)CommonDefine.SubContractorPaymentKind.Normal;
+                else if (rdbPayment02.Checked == true) work.labourKind = (int)CommonDefine.SubContractorPaymentKind.Labor;
+
+                // 削除フラグ
+                work.DeleteFlg = 0;
+                // 表示順はセットしない
+                work.DisplayOrder = 0;
+
+                // 
+                string strWhere = string.Format(" Where CompanyCode = {0}", work.CompanyCode);
+
+                if (!sbDB.SelectAction(strWhere, ref workList, false))
+                {
+                    sbDB.rollback();
+                    MessageBox.Show("協力会社マスタ登録確認に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                if (workList.Count == 0)
+                {
+                    // 表示順セット
+                    work.DisplayOrder = dgvMaster.Rows.Count;
+                    // データがない場合
+                    workList.Clear();
+                    workList.Add(work);
+                    // データ登録
+                    if (!sbDB.InsertAction(workList, false))
+                    {
+                        sbDB.rollback();
+                        MessageBox.Show("協力会社マスタ登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
+                }
+                else
+                {
+                    // 表示順セット
+                    work.DisplayOrder = workList[0].DisplayOrder;
+                    // データがある場合
+                    // データ更新
+                    if (!sbDB.UpdateAction(strWhere, work, false))
+                    {
+                        sbDB.rollback();
+                        MessageBox.Show("協力会社マスタ更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
+                }
+
+                // 工種登録処理を行う
+                if (!SubontractorItemMasterDataEntry(jobitemDB))
+                {
+                    sbDB.rollback();
+                    jobitemDB.rollback();
+                    MessageBox.Show("工種登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                // 職種登録処理を行う
+                if (!SubontractorJobLinkDataEntry(joblinkDB))
+                {
+                    sbDB.rollback();
+                    jobitemDB.rollback();
+                    joblinkDB.rollback();
+                    MessageBox.Show("職種登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                // コードセット
+                m_CompanyCode = work.CompanyCode;
+
+                // 成功したらcommit
+                sbDB.commit();
+                jobitemDB.commit();
+                joblinkDB.commit();
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                sbDB.close(); sbDB = null;
+                jobitemDB.close(); jobitemDB = null;
+                joblinkDB.close(); joblinkDB = null;
+            }
+        }
+        #endregion
+
+        #region 協力会社施工工種データ登録
+        /// <summary>
+        /// 協力会社施工工種データ登録
+        /// </summary>
+        /// <param name="jobitemDB"></param>
+        /// <returns></returns>
+        private bool SubontractorItemMasterDataEntry(IOMSubContractorJobItem jobitemDB)
+        {
+            try
+            {
+                string strDel = jobitemDB.CreatePrimarykeyString(CommonMotions.cnvInt(m_dispControl[(int)Dispcount.CompanyCode].Text));
+                jobitemDB.DeleteAction(strDel, false);
+
+                int ijobCnt = 0;
+                foreach (DataGridViewRow wrkRow in dgvJobItem.Rows)
+                {
+                    if (CommonMotions.chkCellBlank(wrkRow.Cells[0].Value)) continue;
+                    ijobCnt++;
+                }
+                if (ijobCnt == 0) return true;
+
+                List<SubContractorJobItem> JobList = new List<SubContractorJobItem>();
+                ijobCnt = 1;
+                foreach (DataGridViewRow wrkRow in dgvJobItem.Rows)
+                {
+                    if (CommonMotions.chkCellBlank(wrkRow.Cells[0].Value)) continue;
+
+                    SubContractorJobItem JobRec = new SubContractorJobItem();
+                    JobRec.CompanyCode = CommonMotions.cnvInt(m_dispControl[(int)Dispcount.CompanyCode].Text);
+                    JobRec.ItemCode = CommonMotions.cnvInt(wrkRow.Cells[0].Value);
+                    JobRec.DisplayOrder = ijobCnt++;
+
+                    JobList.Add(JobRec);
+                }
+                if (!jobitemDB.InsertAction(JobList, false)) return false;
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力会社施工職種データ登録
+        /// <summary>
+        /// 協力会社施工職種データ登録
+        /// </summary>
+        /// <param name="jobLinkDB"></param>
+        /// <returns></returns>
+        private bool SubontractorJobLinkDataEntry(IOMSubContractorJobLink jobLinkDB)
+        {
+            try
+            {
+                string strDel = jobLinkDB.CreatePrimarykeyString(CommonMotions.cnvInt(m_dispControl[(int)Dispcount.CompanyCode].Text));
+                jobLinkDB.DeleteAction(strDel, false);
+
+                int ijobCnt = 0;
+                foreach (DataGridViewRow wrkRow in dgvJobLink.Rows)
+                {
+                    if (CommonMotions.chkCellBlank(wrkRow.Cells[0].Value)) continue;
+                    ijobCnt++;
+                }
+                if (ijobCnt == 0) return true;
+
+                List<SubContractorJobLink> JobList = new List<SubContractorJobLink>();
+                ijobCnt = 1;
+                foreach (DataGridViewRow wrkRow in dgvJobLink.Rows)
+                {
+                    if (CommonMotions.chkCellBlank(wrkRow.Cells[0].Value)) continue;
+
+                    SubContractorJobLink JobRec = new SubContractorJobLink();
+                    JobRec.CompanyCode = CommonMotions.cnvInt(m_dispControl[(int)Dispcount.CompanyCode].Text);
+                    JobRec.JobCategoryCode = CommonMotions.cnvInt(wrkRow.Cells[0].Value);
+                    JobRec.DisplayOrder = ijobCnt++;
+
+                    JobList.Add(JobRec);
+                }
+                if (!jobLinkDB.InsertAction(JobList, false)) return false;
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region グリッドデータ取得
+        /// <summary>
+        /// グリッドデータ取得
+        /// </summary>
+        private bool DispGridData(string strPara = "")
+        {
+            // 協力会社クラス
+            IOMSubContractor sbDB = new IOMSubContractor();
+            try
+            {
+                // 協力会社取得クラス領域
+                List<SubContractorMaster> wrk = new List<SubContractorMaster>();
+                // 協力会社取得SQL
+                string strSql = "";
+                if (strPara.Length == 0)
+                    strSql = " Where DeleteFlg = 0 Order By JapaneseSyllabary ASC, DisplayOrder ASC";
+                else
+                    strSql = strPara;
+
+                // グリッドの行を0に戻す
+                dgvMaster.Rows.Clear();
+                // 協力会社取得
+                if (!sbDB.SelectAction(strSql, ref wrk)) return false;
+
+                // データ表示
+                int ino = 1, icnt = 0;
+                foreach (SubContractorMaster work in wrk)
+                {
+                    string wrkname = work.CompanyName;
+
+                    if (work.CorporateStatusPoint == 1)
+                        wrkname = work.CorporateStatusName + " " + wrkname;
+                    else
+                        wrkname += " " + work.CorporateStatusName;
+
+                    dgvMaster.Rows.Add((ino++)
+                                        , work.CompanyCode
+                                        , CStatus[work.CorporateStatusPoint]
+                                        , wrkname
+                                        , work.CEOName.Trim());
+
+                    dgvMaster.Rows[icnt++].Cells[(int)DispListColumn.CompanyName].ToolTipText = work.CompanyName;
+                }
+                // 読込時データカウント取得
+                m_initDataCount = wrk.Count;
+
+                // 表示行が足りない場合は追加する
+                if (dgvMaster.Rows.Count <= CommonDefine.s_MaxInitLineCountMastamente)
+                {
+                    int iAddLine = CommonDefine.s_MaxInitLineCountMastamente - dgvMaster.Rows.Count;
+                    for (int i = 0; i < iAddLine; i++)
+                    {
+                        dgvMaster.Rows.Add();
+                    }
+                }
+
+                // 行を選択しない
+                dgvMaster.ClearSelection();
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                sbDB.close();
+                sbDB = null;
+            }
+        }
+        #endregion
+
+        #region 協力会社施工工種コンボボックスセット
+        /// <summary>
+        /// 協力会社施工工種コンボボックスセット
+        /// </summary>
+        private void SetcmbSubContractorItem()
+        {
+            IOMSubContractorItem itemDB = new IOMSubContractorItem();
+            try
+            {
+                List<SubContractorItemMaster> itemList = new List<SubContractorItemMaster>();
+
+                string strSQL = " Order By DisplayOrder";
+                if (!itemDB.SelectAction(strSQL, ref itemList)) return;
+                if (itemList.Count == 0) return;
+
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                DataList.Add(new KeyValuePair<int, string>(0, ""));
+                // データ表示
+                for (int i = 0; i < itemList.Count; i++)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(itemList[i].ItemCode, itemList[i].ItemName);
+
+                    DataList.Add(keyval);
+                }
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbItemType, DataList);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                itemDB.close(); itemDB = null;
+            }
+        }
+        #endregion
+
+        #region 協力会社50音順コンボボックスセット
+        /// <summary>
+        /// 協力会社50音順コンボボックスセット
+        /// </summary>
+        private void SetcmbcmbJapaneseSyllabary()
+        {
+            IOMSubContractor sbDB = new IOMSubContractor();
+            try
+            {
+                string strSQL = "Select Distinct JapaneseSyllabary From SubContractorMaster WHERE DELETEFLG = 0 Order By JapaneseSyllabary";
+                ArrayList arData = new ArrayList();
+                if (!sbDB.ExecuteReader(strSQL, ref arData)) return;
+                if (arData.Count == 0) return;
+
+                // データセット
+                List<KeyValuePair<string, string>> DataList = new List<KeyValuePair<string, string>>();
+                DataList.Add(new KeyValuePair<string, string>("", ""));
+                foreach (object[] objwrk in arData)
+                {
+                    KeyValuePair<string, string> keyval = new KeyValuePair<string, string>(objwrk[0].ToString(), objwrk[0].ToString());
+                    DataList.Add(keyval);
+                }
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbJapaneseSyllabary, DataList);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                sbDB.close(); sbDB = null;
+            }
+        }
+        #endregion
+
+        #region 手間業者コンボボックスセット
+        /// <summary>
+        /// 手間業者コンボボックスセット
+        /// </summary>
+        private void SetcmbcmbLabout()
+        {
+            try
+            {
+
+                // データセット
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                DataList.Add(new KeyValuePair<int, string>(-1, ""));
+
+                DataList.Add(new KeyValuePair<int, string>((int)CommonDefine.SubContractorPaymentKind.Normal, "通　常　業　者"));
+                DataList.Add(new KeyValuePair<int, string>((int)CommonDefine.SubContractorPaymentKind.Labor, "手　間　業　者"));
+
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbLabour, DataList);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                ControlLock(false);
+
+                dgvJobItem.ReadOnly = true;
+                dgvJobLink.ReadOnly = true;
+
+                btnDataEntry.Visible = false;
+                btnDataDelete.Visible = false;
+                btnDataLineEntry.Visible = false;
+                btnDispDown.Visible = false;
+                btnDispUp.Visible = false;
+
+                btnJobItemAdd.Visible = false;
+                btnJobItemDelete.Visible = false;
+                btnJobItemDown.Visible = false;
+                btnJobItemUp.Visible = false;
+                
+                btnJobLinkAdd.Visible = false;
+                btnJobLinkDelete.Visible = false;
+                btnJobLinkDown.Visible = false;
+                btnJobLinkUp.Visible = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+    }
+}
